SRC/cpotrs.f(3)

NAME
SRC/cpotrs.f

SYNOPSIS

  Functions/Subroutines
subroutine cpotrs (uplo, n, nrhs, a, lda, b, ldb, info)
CPOTRS

Function/Subroutine Documentation

  subroutine cpotrs (character uplo, integer n, integer nrhs, complex, dimension( lda, * ) a, integer lda, complex, dimension( ldb, * ) b, integer ldb, integer info)

CPOTRS

Purpose:

     CPOTRS solves a system of linear equations A*X = B with a Hermitian
     positive definite matrix A using the Cholesky factorization
     A = U**H*U or A = L*L**H computed by CPOTRF.

Parameters
    UPLO

              UPLO is CHARACTER*1
              = 'U':  Upper triangle of A is stored;
              = 'L':  Lower triangle of A is stored.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    NRHS

              NRHS is INTEGER
              The number of right hand sides, i.e., the number of columns
              of the matrix B.  NRHS >= 0.

    A

              A is COMPLEX array, dimension (LDA,N)
              The triangular factor U or L from the Cholesky factorization
              A = U**H*U or A = L*L**H, as computed by CPOTRF.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    B

              B is COMPLEX array, dimension (LDB,NRHS)
              On entry, the right hand side matrix B.
              On exit, the solution matrix X.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,N).

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 109 of file cpotrs.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.